class MailtimeMigration < ActiveRecord::Migration
  def change
    create_table :mailtime_mail_templates do |t|
      t.string :klass
      t.string :action
      t.text :content
      t.string :subject
      t.integer :mailtime_mail_layout_id
      t.string :format
      t.string :extension
      t.timestamps null: false
    end
    add_index :mailtime_mail_templates, :klass
    add_index :mailtime_mail_templates, :action
    add_index :mailtime_mail_templates, :mailtime_mail_layout_id
    add_index :mailtime_mail_templates, :extension
    add_index :mailtime_mail_templates, :format

    create_table :mailtime_mail_layouts do |t|
      t.string :name
      t.text :content
      t.string :format
      t.string :extension
      t.timestamps null: false
    end
    add_index :mailtime_mail_layouts, :name
    add_index :mailtime_mail_layouts, :extension
    add_index :mailtime_mail_layouts, :format

    create_table :mailtime_mail_logs do |t|
      t.integer :mailtime_mail_template_id
      t.string :template
      t.string :action
      t.string :klass
      t.string :field
      t.integer :loggable_id
      t.string :loggable_type
      t.jsonb :headers
      t.jsonb :scope

      t.timestamps null: false
    end
    add_index :mailtime_mail_logs, :mailtime_mail_template_id
    add_index :mailtime_mail_logs, :template
    add_index :mailtime_mail_logs, :action
    add_index :mailtime_mail_logs, :klass
    add_index :mailtime_mail_logs, [:loggable_id, :loggable_type]
    add_index :mailtime_mail_logs, :field
    add_index :mailtime_mail_logs, :headers, using: :gin
    add_index :mailtime_mail_logs, :scope, using: :gin
  end
end
