Mailtime.configure do |config|

  # == Mailers
  #
  # Unfortunately, Rails doesn't autoload all mailers in development.
  # Want to preload all your mailers? Uncomment below.
  # config.preload_mailers!

  # Have a mailer that doesn't exist in app/mailers? Add it below.
  # config.mailer << 'Devise::Mail'

  # == Rendering
  #
  # If you do not want to have Mailtime handle the `body` of the mail itself,
  # you should set this to false
  config.render = true

  # == Logging
  #
  # Log the mail to the database. Set to `false` if you don't want to log anything.
  config.log = true

  # Perform lookups on the following fields and associate the logs to them
  # Valid options are :to, :cc, and :bcc
  # config.log_fields = [:to]

  # Sometimes, a mail action gets polluted with instance variables we don't care about.
  # Because we log all instance variables, you can remove any named instance variables here.
  # config.reject_scope_keys = ['devise_mapping', 'scope_name']

  # == Layouts & Templates
  #
  # if you want to use a different keyword to gsub for a MailTemplate
  # config.yield_keyword = '{{ mailtime_yield }}'

  # Valid formats for a MailTemplate and MailLayout (pretty sure you're fine with the default)
  # config.valid_formats = %w{html text}

  # == Fallbacks
  #
  # Falls back to the mail's body if the template doesn't exist in the database
  # If set to false, raises a `TemplateNotFound` error if the template doesn't exist
  config.fallback = true

end