begin
  require 'rails/engine'
  require 'mailtime/engine'
rescue LoadError
end


module Mailtime

  require 'mailtime/configuration'

  class << self
    attr_accessor :configuration
  end

  def self.configure
    self.configuration ||= Configuration.new
    yield(configuration)
  end

  if defined?(::ActiveRecord::Base)
    require 'mailtime/acts_as_mailtime_loggable'
    ::ActiveRecord::Base.extend Mailtime::ActsAsMailtimeLoggable
  end

end

require 'mailtime/action_mailer/base'
require 'mailtime/action_mailer/interceptor'
require 'mailtime/renderers/null'
require 'mailtime/processor/processor'
require 'mailtime/railtie'
require 'mailtime/active_record/models/concerns/mail_log_concern'
require 'mailtime/active_record/models/concerns/mail_template_concern'
require 'mailtime/active_record/models/concerns/renderer_concern'