module Mailtime
  module RendererConcern

    extend ::ActiveSupport::Concern

    # find the renderer
    def renderer
      renderers = Mailtime::Renderers::BaseRenderer.descendants
      renderers.each do |r|
        return r if r.renders.include? self.extension
      end
      Mailtime::Renderers::ErbRenderer
    end

    # render against the mail
    def render(mail)
      renderer.new(mail, self.content).render
    end
  end
end