require 'mailtime/active_record/models/concerns/mail_template_concern'
require 'mailtime/active_record/models/concerns/renderer_concern'

module Mailtime
  class MailTemplate < ActiveRecord::Base

    include Mailtime::MailTemplateConcern
    include Mailtime::RendererConcern

  end

  class MailTemplateCollection

    attr_reader :templates
    def initialize(mail)
      @mail = mail
      @templates = Mailtime::MailTemplate.includes(:mail_layout).
          where(:klass => mail.class.to_s, :action => mail.action_name)
    end

    def html
      _template = @templates.where(:format => 'html').first
      return _template if _template
      Mailtime.configuration.fallback ? nil : NullHTMLTemplate.new(@mail)
    end

    def text
      _template = @templates.where(:format => 'text').first
      return _template if _template
      Mailtime.configuration.fallback ? nil : NullTextTemplate.new(@mail)
    end
    alias_method :txt, :text

  end
end
