module Mailtime
  module ActsAsMailtimeLoggable

    def acts_as_mailtime_loggable(attr = 'email', opts = {})
      include Mailtime::Loggable
      opts[:fields] ||= [:to]
      Mailtime.loggable_lookups << { self.to_s => {:attribute => attr, :fields => opts[:fields]} }
    end

  end

  module Loggable

    def self.included(base)
      base.class_eval do
        has_many :mail_logs, :as => :loggable, :class_name => 'Mailtime::MailLog'
      end
    end

  end
end