module Mailtime
  module Renderers
    class ErbRenderer < BaseRenderer

      def initialize(mail, content)
        @mail = mail
        @content = content
      end

      def self.renders
        ['erb']
      end

      def render
        set_instance_variables_from_mailer
        ERB.new(@content).result(binding)
      end

      protected

      def set_instance_variables_from_mailer
        @mail.action_variables.each do |k, v|
          instance_variable_set("@#{k}", v) rescue NameError
        end
      end

    end
  end
end
