module Mailtime
  module Renderers
    class MailRenderer

      def initialize(mail)
        @mail = mail
      end

      def execute(format)
        render(format)
      end

      protected

      def render(format)
        template = @mail.mailtime_templates.send(format)
        layout = template.try(:mail_layout)
        if template.nil?
          part = @mail.parts.detect { |part| part.content_type.index(Mailtime::Processor::CONTENT_TYPES[format]) }
          if part.nil?
            raise TemplateNotFound, "Existing template not found for format #{format}"
          end
          return part.body.raw_source
        else
          return layout.render(@mail).gsub(Mailtime.configuration.yield_keyword, template.render(@mail))
        end

      end

    end
  end
end