module Mailtime
  class NullLayout

    attr_reader :content, :id, :format
    def initialize
      @id = nil
      @content = "#{Mailtime.configuration.yield_keyword}"
    end

    def self.renders
      ['erb']
    end

    def renderer
      Mailtime::Renderers::ErbRenderer
    end

    def render(mail)
      renderer.new(mail, @content).render
    end

  end

  class NullHTMLLayout < NullLayout

    def format
      :html
    end

  end

  class NullTextLayout < NullLayout

    def format
      :text
    end

  end

  class NullLayoutCollection

    def html
      NullHTMLLayout.new
    end

    def text
      NullTextLayout.new
    end

  end
end