module Mailtime
  class NullTemplate

    attr_reader :content, :id
    def initialize(mail)
      @id = nil
      @content = mail.body.raw_source
    end

    def mail_layout
      NullLayout.new
    end

    def renderer
      Mailtime::Renderers::ErbRenderer
    end

    # doesn't do anything since we already know the mail.
    def render(mail)
      @content
    end

  end

  class NullHTMLTemplate < NullTemplate

    def format
      :html
    end

    def mail_layout
      NullHTMLLayout.new
    end

  end

  class NullTextTemplate < NullTemplate

    def format
      :text
    end

    def mail_layout
      NullTextLayout.new
    end

  end

  class NullTemplateCollection

    def initialize(mail)
      @mail = mail
    end

    def html
      NullHTMLTemplate.new(@mail)
    end

    def text
      NullTextTemplate.new(@mail)
    end

  end
end